Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins
[Groovy] Class BasePluginConvention

    java.lang.Object
      org.gradle.api.plugins.BasePluginConvention

    class BasePluginConvention

Property Summary
`java.lang.String` | `archivesBaseName` The base name to use for archive files.
`java.lang.String` | `distsDirName` The name for the distributions directory.
`java.lang.String` | `libsDirName` The name for the libs directory.
`ProjectInternal` | `project`

Constructor Summary
`BasePluginConvention(Project project)`

Method Summary
`java.io.File` | `getDistsDir()` Returns the directory to generate TAR and ZIP archives into.
`java.io.File` | `getLibsDir()` Returns the directory to generate JAR and WAR archives into.

Methods inherited from class java.lang.Object
java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#notify(), java.lang.Object#notifyAll(), java.lang.Object#toString()

Property Detail

### archivesBaseName

    java.lang.String archivesBaseName

  The base name to use for archive files.

### distsDirName

    java.lang.String distsDirName

  The name for the distributions directory. This in interpreted relative to the project' build directory.

### libsDirName

    java.lang.String libsDirName

  The name for the libs directory. This in interpreted relative to the project' build directory.

### project

    ProjectInternal project

Constructor Detail

### BasePluginConvention

    BasePluginConvention(Project project)

Method Detail

### getDistsDir

    java.io.File getDistsDir()

  Returns the directory to generate TAR and ZIP archives into.
  Returns:
    The directory. Never returns null.

### getLibsDir

    java.io.File getLibsDir()

  Returns the directory to generate JAR and WAR archives into.
  Returns:
    The directory. Never returns null.

Groovy Documentation